Subject: [bug#56433] [PATCH] import: pypi: Add special treatment for Tryton package names,

From: Ludovic Courtès <[email-masked]>
Date: Fri, 08 Jul 2022 23:37:53 +0200

Hartmut Goebel <[email-masked]> skribis:

> While Trytond modules are Python package, they don't have the "python-"
> prefix (see also https://issues.guix.gnu.org/46057#1).  This patch disables
> adding the prefix for Trytond modules when importing and updating, thus
> inhibiting irritating messages like „consider removing this propagated input:
> trytond-party, consider adding this propagated input: python-trytond-party“.

Could you instead add an ‘upstream-name’ property to these packages?
That’d be explicit and IMO clearer.

Ludo’.